Request Errors
The request to the/accounts/{acc_id}/verification_sessions endpoint failed. These are the sub_type that can be returned.
INVALID_REQUEST
The request body failed basic validation for the specific API endpoint.
NOT_FOUND
The requested resource does not exist.
EXISTING_VERIFIED_SESSION
The Account has already been verified.
EXISTING_VERIFICATION_SESSION
The Account has an existing verification session.
VERIFICATION_SESSION_ATTEMPT_LIMIT_REACHED
The verification session attempt limit has been reached.
VERIFICATION_MAX_LIMIT_BY_TYPE_REACHED
The maximum number of attempts for this verification type has been reached.
VERIFICATION_MAX_TOTAL_LIMIT_REACHED
The maximum number of attempts across all verification types has been reached.
Legacy verification request errors
The followingsub_type values are returned by the legacy /accounts/{acc_id}/verification endpoints.
EXISTING_VERIFICATION
A verification already exists for this account.
INVALID_ACCOUNT_TYPE
The Account must be of type ach.
INVALID_VERIFICATION_AMOUNTS
The verification amounts provided are invalid.
INVALID_VERIFICATION_STATUS
The verification must be in pending status.
INVALID_VERIFICATION_TYPE
The verification type provided is invalid.
VERIFICATION_DISABLED
Verification for this account has been disabled. You can no longer verify this account.
Resource Errors
Errors set on an AccountVerificationSession’serror property for processes that are unsuccessful.
16001 – VERIFICATION_TYPE_NOT_SUPPORTED
The AccountVerificationSession has failed.
Causes
- The inputted verification type is not supported for the merchant.
Resolution
- Initiate a new AccountVerificationSession with a supported type.
16002 – INVALID_DETAILS
The AccountVerificationSession has failed due to incorrect details.
Causes
- The details required to pass verification was incorrect.
Resolution
- Initiate a new AccountVerificationSession and verify the correct details is provided.
16003 – VERIFICATION_SESSION_ATTEMPT_LIMIT_REACHED
The AccountVerificationSession has failed due to reaching maximum number of attempts for this session.
Causes
- Too many failed verification attempts for this session.
Resolution
- Initiate a new AccountVerificationSession.
16004 – MICRO_DEPOSITS_FAILED
The AccountVerificationSession has failed due to invalid account information.
Causes
- Incorrect Account information - the account number or routing number is incorrect.
- The Account could not be located.
Resolution
- The verification session has failed and the Account will be disabled.
Legacy Verification Resource Errors
Errors set on the legacy/accounts/{acc_id}/verification resource’s error property.